NoScheduler (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.scheduler

## Class NoScheduler

- java.lang.Object
- - org.apache.cassandra.scheduler.NoScheduler

- All Implemented Interfaces:
    IRequestScheduler

      public class NoScheduler
      extends java.lang.Object
      implements IRequestScheduler

  This is basically not having a scheduler, the requests are processed as normally would be handled by the JVM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoScheduler()`
    `NoScheduler(RequestSchedulerOptions options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `queue(java.lang.Thread t, java.lang.String id, long timeoutMS)` Queue incoming request threads
    `void` | `release()` A convenience method for indicating when a particular request has completed processing, and before a return to the client

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoScheduler

          public NoScheduler(RequestSchedulerOptions options)

    - #### NoScheduler

          public NoScheduler()

  - ### Method Detail

    - #### queue

          public void queue(java.lang.Thread t,
                            java.lang.String id,
                            long timeoutMS)

      Description copied from interface: `IRequestScheduler`
      Queue incoming request threads
      Specified by:
        `queue` in interface `IRequestScheduler`
      Parameters:
        `t` - Thread handing the request
        `id` - Scheduling parameter, an id to distinguish profiles (users/keyspace)
        `timeoutMS` - The max time in milliseconds to spend blocking for a slot

    - #### release

          public void release()

      Description copied from interface: `IRequestScheduler`
      A convenience method for indicating when a particular request has completed processing, and before a return to the client
      Specified by:
        `release` in interface `IRequestScheduler`

Copyright © 2018 The Apache Software Foundation